ncsa_auth(8)

NAME
ncsa_auth - NCSA httpd-style password file authentication helper for Squid

SYNOPSIS
ncsa_auth passwdfile

DESCRIPTION
ncsa_auth allows Squid to read and authenticate user and password information from an NCSA/Apache httpd-style password file when using basic HTTP authentication.

The only parameter is the password file. It must have permissions to be read by the user that Squid is running as (cache_effective_user in squid.conf).

This password file can be manipulated using htpasswd.

* MD5 - with optional salt and magic strings * DES - for passwords 8 characters or less in length

OPTIONS
Only specify the password file name.

EXAMPLE
ncsa_auth /etc/squid/squid.pass

SECURITY
ncsa_auth must have access to the password file to be executed.

KNOWN ISSUES

DES functionality (used by htpasswd by default) silently truncates passwords to 8 characters. Allowing login with password values shorter than the one desired. This authenticator will reject login with long passwords when using DES.

SEE ALSO
htpasswd(1), squid(8)

AUTHOR
Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com>